
Foreman - Refactor #34570

Tracker # 32684 (Closed): Ruby 3.0 support

SettingPresenter - pass kwarks in Ruby 3 compatible format

03/07/2022 10:02 PM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Rails   

Target version:    

Difficulty:  Fixed in Releases: 3.3.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9138

  

Description

Related issues:

Related to Foreman - Feature #30862: Introduce SettingRegistry as a setting i... Closed

Associated revisions

Revision ce49f4fc - 03/15/2022 10:02 AM - Ondřej Ezr

Fixes #34570 - pass kwarks args properly

We have been passing kwarks arguments in Ruby 3 incompatible way.

This fixes it to use the proper format.

History

#1 - 03/07/2022 10:02 PM - Ondřej Ezr

- Parent task set to #32684

#2 - 03/07/2022 10:04 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman/pull/9138 added

#3 - 03/08/2022 12:22 PM - Ondřej Ezr

- Related to Feature #30862: Introduce SettingRegistry as a setting inventory added

#4 - 03/15/2022 10:02 AM - The Foreman Bot

- Fixed in Releases 3.3.0 added

#5 - 03/15/2022 11:01 AM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|ce49f4fc2734682ec6319cdabbf4343675800066.
